## geeqie 2.0.1

=== meson_options.txt ===
# This file is a part of Geeqie project (https://www.geeqie.org/).
# Copyright (C) 2008 - 2022 The Geeqie Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# These gq_* paths are used relative to /prefix/ e.g.
#               prefix
# gq_bindir -> /user/local / 'lib/geeqie'
# gq_helpdir -> /user/local / 'share/doc/geeqie'

# Override the default values set in meson.build
option('gq_appdir', type : 'string', value : '', description : 'Location of application data')
option('gq_bindir', type : 'string', value : '', description : 'Location of plugin scripts and executables')
option('gq_helpdir', type : 'string', value : '', description : 'Location of documentation files')
option('gq_htmldir', type : 'string', value : '', description : 'Location of html documentation')
option('gq_localedir', type : 'string', value : '', description : 'Location where the catalogs will be installed')

option('archive', type : 'feature', value : 'auto', description : 'archive files e.g. zip, gz')
option('cms', type : 'feature', value : 'auto', description : 'color management system')
option('djvu', type : 'feature', value : 'auto', description : 'djvu')
option('exiv2', type : 'feature', value : 'auto', description : 'exiv2')
option('videothumbnailer', type : 'feature', value : 'auto', description : 'video thumbnailer')
option('gps-map', type : 'feature', value : 'auto', description : 'gps map')
option('heif', type : 'feature', value : 'auto', description : 'heif')
option('j2k', type : 'feature', value : 'auto', description : 'j2k')
option('jpeg', type : 'feature', value : 'auto', description : 'jpeg')
option('jpegxl', type : 'feature', value : 'auto', description : 'jpegxl')
option('libraw', type : 'feature', value : 'auto', description : 'libraw')
option('lua', type : 'feature', value : 'auto', description : 'lua')
option('pdf', type : 'feature', value : 'auto', description : 'pdf')
option('spell', type : 'feature', value : 'auto', description : 'spelling checks')
option('tiff', type : 'feature', value : 'auto', description : 'tiff')
option('webp', type : 'feature', value : 'auto', description : 'webp')

## geeqie 1.0~beta2

=== debian/changelog ===
geeqie (1:1.0~beta2-9) unstable; urgency=low

  * Add plugins for lossless rotation (Closes: #330543, #562538).
  * Better description of geeqie-gps package.
  * Include README.lirc in documentation (Closes: #563282).
  * Update README.Debian to match current state of GQview/Geeqie 
    (Closes: #562489).

 -- Michal Čihař <nijel@debian.org>  Sat, 02 Jan 2010 11:28:50 +0100

geeqie (1:1.0~beta2-8) unstable; urgency=low

  * Convert to 3.0 (quilt) source format.
  * Fix conflicts/replaces of -common package (epoch was forgotten) 
    (Closes: #557764).

 -- Michal Čihař <nijel@debian.org>  Tue, 24 Nov 2009 13:34:42 +0100

geeqie (1:1.0~beta2-7) unstable; urgency=low

  * Drop -simple package and provide -gps package instead.
    - Standard geeqie does not need GLX anymore (Closes: #554569, #553910).
  * Fix FTBFS on hurd.
  * Package geeqie-common now includes some things from geeqie package.

 -- Michal Čihař <nijel@debian.org>  Mon, 09 Nov 2009 12:00:16 +0100

geeqie (1:1.0~beta2-6) unstable; urgency=low

  [ Cristian Greco ]
  * debian/{control,rules}: first attempt to build a geeqie-simple
    package (Closes: #553676).

  [ Michal Čihař ]
  * Improve description of simple/normal packages.
  * Proper capilatisation of GQview and Geeqie in description.
  * Make debug and common packages depend on either of geeqie | geeqie-simple.

 -- Michal Čihař <nijel@debian.org>  Tue, 03 Nov 2009 14:46:48 +0100

geeqie (1:1.0~beta2-5) unstable; urgency=low

  * Fix typo in suggests.
  * Recommend exiv2 it is used by rotate and ufraw plugin.
  * Recommend ufraw and zenity for ufraw plugin. 
  * Recommend imagemagick for rotate plugin.

 -- Michal Čihař <nijel@debian.org>  Mon, 02 Nov 2009 16:06:28 +0100

geeqie (1:1.0~beta2-4) unstable; urgency=low

  * Add MIME handler for image/pjpeg (Closes: #507681).
  * Recommend exiftran which is now used for rotating.
  * Fix infinite loop on map (Closes: #553588).

 -- Michal Čihař <nijel@debian.org>  Mon, 02 Nov 2009 11:28:58 +0100

geeqie (1:1.0~beta2-3) unstable; urgency=low

  [ Daniel Baumann ]
  * GQview is going to removed from debian in favour for geeqie as its
    successor. Therefore, adding a transitional package for gqview
    (Closes: #520616).

  [ Michal Čihař ]
  * gqview package provides compatibility script which calls geeqie.
  * Drop stability warnings, it should not be the case anymore.
  * Update Cristians email address.
  * Add transitional package for geeqie-dbg. 

 -- Michal Čihař <nijel@debian.org>  Fri, 30 Oct 2009 14:11:45 +0100

geeqie (1.0~beta2-2) unstable; urgency=low

  * Change build depends to new libchamplain.
  * Added patch to build with new libchamplain.
  * Use some patches from svn to fix compilation with recent clutter and
    champlain.

 -- Michal Čihař <nijel@debian.org>  Mon, 21 Sep 2009 13:15:09 +0200

geeqie (1.0~beta2-1) unstable; urgency=low

  [ Cristian Greco ]
  * New Upstream version:
    - fix removing folded images with delete (Closes: #528031),
    - should rebuild against new libchamplain (Closes: #535457).
  * geeqie{,-common}.install: install helper scripts and their .desktop files.
  * debian/control:
    - build depends on intltool;
    - fix vcs-git url.

 -- Michal Čihař <nijel@debian.org>  Wed, 08 Jul 2009 15:44:30 +0200

geeqie (1.0~beta1-2) unstable; urgency=low

  [ Cristian Greco ]
  * debian/{control,rules}: build-depends on libchamplain and libclutter
    and build with gps support enabled.
  * add debian/clean to simplify debian/rules.
  * debian/rules: simplify using override_dh_auto_build.

  [ Michal Čihař ]
  * Update standards to 3.8.2 (no changes required).

 -- Michal Čihař <nijel@debian.org>  Mon, 22 Jun 2009 15:59:26 +0200

geeqie (1.0~beta1-1) unstable; urgency=low

  [ Cristian Greco ]
  * New upstream version. (Closes: #514494)
    - debian/patches: remove all patches (fix-lirc.patch and fix-
      sortbug.patch), fixed upstream.
    - debian/geeqie.install: install files under /usr/share/geeqie/*
      needed by new geeqie plugins.
    - debian/watch: add support for mangling upstream (alpha|beta|rc)
      releases.
  * debian/copyright: update copyright translations info a bit.
  * debian/control: switch to Vcs-Git maintenance.
  * debian/gbp.conf: add minimal git-buildpackage conf file in debian/
    for standard collab-maint options.

 -- Michal Čihař <nijel@debian.org>  Thu, 04 Jun 2009 16:18:11 +0200

geeqie (1.0~alpha3-5) unstable; urgency=low

  * Adjust -dbg package section.
  * Simplify debian/rules by using overrides.
  * Update to standards 3.8.1 (no changes needed).

 -- Michal Čihař <nijel@debian.org>  Thu, 07 May 2009 14:47:17 +0200

geeqie (1.0~alpha3-4) unstable; urgency=low

  [ Cristian Greco ]
  * debian/patches: added fix-sortbug.patch by upstream, should fix image
    sorting bug (Closes: #515165).

 -- Michal Čihař <nijel@debian.org>  Thu, 19 Feb 2009 15:55:03 +0100

geeqie (1.0~alpha3-3) unstable; urgency=low

  [ Cristian Greco ]
  * debian/rules: really reenable lirc support.
  * debian/README.source: added.

 -- Michal Čihař <nijel@debian.org>  Fri, 13 Feb 2009 16:58:04 +0100

geeqie (1.0~alpha3-2) unstable; urgency=low

  [ Cristian Greco ]
  * debian/rules:
    + build using "-Wl,--as-needed";
    + improve 'clean' target.
  * debian/control:
    + updated email address in Uploaders: field.
  * Updated debian/copyright.

  [ Michal Čihař ]
  * Reenabled lirc support by applying upstream fix.

 -- Michal Čihař <nijel@debian.org>  Thu, 12 Feb 2009 10:36:45 +0100

geeqie (1.0~alpha3-1) unstable; urgency=low

  * New upstream version.
    - Writing of configuration is safe on full disk (Closes: #501131).
    - OSD state is not lost when leaving full screen (Closes: #508669).
  * Temporarily disable lirc support, it is broken upstream.
  * Dropped debian/README.source as we don't use dpatch.
  * Switch Vcs-Browser to viewsvn.
  * Add ${misc:Depends} to all packages.
  * Updated debian/copyright.



=== debian/control ===
Source: geeqie
Section: graphics
Priority: optional
Maintainer: Michal Čihař <nijel@debian.org>
Uploaders: Cristian Greco <cristian@regolo.cc>
Build-Depends: debhelper (>= 7.3.7),
    autotools-dev, 
    libgtk2.0-dev,
    libexiv2-dev,
    liblcms1-dev,
    liblircclient-dev,
    libchamplain-0.4-dev,
    libchamplain-gtk-0.4-dev,
    intltool,
    imagemagick
Standards-Version: 3.8.3
Homepage: http://geeqie.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/geeqie.git
Vcs-Git: git://git.debian.org/git/collab-maint/geeqie.git

Package: geeqie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geeqie-common (= ${source:Version})
Recommends: exiftran, exiv2, ufraw, zenity, imagemagick
Suggests: gimp, xpaint, geeqie-dbg, libjpeg-progs
Conflicts: gqview (<< 1:1.0~beta2-3)
Replaces: gqview
Description: image viewer using GTK+
 Geeqie is a browser for graphics files offering single click viewing of
 your graphics files. It includes thumbnail view, zoom, filtering
 features and external editor support.
 .
 This package contains standard feature set, if you want to be able to display
 maps of photos based on GPS data in them, you want to install geeqie-gps
 package.

Package: geeqie-common
Architecture: all
Recommends: geeqie | geeqie-gps
Depends: ${misc:Depends}
Replaces: geeqie (<< 1:1.0~beta2-7)
Conflicts: geeqie (<< 1:1.0~beta2-7)
Description: data files for Geeqie
 Geeqie is a browser for graphics files offering single click viewing of
 your graphics files. It includes thumbnail view, zoom, filtering
 features and external editor support.
 .
 This package contains data files for Geeqie such as documentation or
 locales.

Package: geeqie-gps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geeqie-common (= ${source:Version})
Recommends: exiftran, exiv2, ufraw, zenity, imagemagick
Suggests: gimp, xpaint, geeqie-dbg, libjpeg-progs
Conflicts: gqview (<< 1:1.0~beta2-3)
Replaces: gqview
Priority: extra
Description: image viewer using GTK+ (with support for GPS maps)
 Geeqie is a browser for graphics files offering single click viewing of
 your graphics files. It includes thumbnail view, zoom, filtering
 features and external editor support.
 .
 This package contains full featured version with support for displaying maps
 based on GPS coordinates set in picture.  
 .
 Please note that this feature is experimental and Geeqie might crash in some
 cases.

Package: geeqie-dbg
Section: debug
Priority: extra
Architecture: any
Depends: geeqie (= ${binary:Version}) | geeqie-gps (= ${binary:Version}), ${misc:Depends}
Conflicts: gqview-dbg (<< 1:1.0~beta2-3)
Replaces: gqview-dbg
Description: debug symbols for Geeqie
 Geeqie is a browser for graphics files offering single click viewing of
 your graphics files. It includes thumbnail view, zoom, filtering
 features and external editor support.
 .
 This package contains the debugging symbols.

Package: gqview
Architecture: all
Depends: geeqie, ${misc:Depends}
Description: image viewer using GTK+ (transitional package)
 Package to ease upgrading from older GQview packages to the new Geeqie
 package. It provides compatibility script to launch Geeqie as GQview.
 .
 This package can be purged at anytime once the geeqie package has been
 installed.

Package: gqview-dbg
Section: debug
Priority: extra
Architecture: all
Depends: geeqie-dbg, ${misc:Depends}
Description: image viewer using GTK+ (debug) (transitional package)
 Package to ease upgrading from older GQview packages to the new Geeqie
 package.
 .
 This package can be purged at anytime once the geeqie-dbg package has been
 installed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

simple_configure_options = \
	--with-htmldir=/usr/share/doc/geeqie/html \
	--with-readmedir=/usr/share/doc/geeqie/ \
	--enable-lirc \

extra_configure_options = \
	--enable-gps \

# build simple version first #
override_dh_auto_configure:
	dh_auto_configure --builddirectory build-standard -- \
		LDFLAGS="-Wl,--as-needed" \
		$(simple_configure_options)
	dh_auto_configure --builddirectory build-gps -- \
		LDFLAGS="-Wl,--as-needed" \
		$(simple_configure_options) \
		$(extra_configure_options)

override_dh_auto_build:
	dh_auto_build --builddirectory build-standard
	dh_auto_build --builddirectory build-gps
	convert geeqie.png -scale 32x32 geeqie.xpm

override_dh_auto_install:
	dh_auto_install --builddirectory build-standard
	mv debian/tmp/usr/bin/geeqie debian/tmp/usr/bin/geeqie-standard
	sed 's/Exec=geeqie/Exec=geeqie-standard/' \
		< debian/tmp/usr/share/applications/geeqie.desktop \
		> debian/tmp/usr/share/applications/geeqie-standard.desktop
	dh_auto_install --builddirectory build-gps
	mv debian/tmp/usr/bin/geeqie debian/tmp/usr/bin/geeqie-gps
	sed 's/\(Name.*=Geeqie\)/\1 (GPS support)/; s/Exec=geeqie/Exec=geeqie-gps/' \
		< debian/tmp/usr/share/applications/geeqie.desktop \
		> debian/tmp/usr/share/applications/geeqie-gps.desktop

override_dh_auto_clean:
	dh_auto_clean --builddirectory build-standard
	dh_auto_clean --builddirectory build-gps

override_dh_compress:
	# Readme is shown from program, do not compress it
	dh_compress -XREADME

override_dh_strip:
	dh_strip -a --dbg-package=geeqie-dbg

=== debian/watch ===
version=3
opts="uversionmangle=s/(alpha|beta|rc)/~$1/" \
    http://sf.net/geeqie/geeqie-(.*)\.tar\.gz

## geeqie 1.0

=== debian/changelog ===
geeqie (1:1.0-7) unstable; urgency=low

  * Re-enable XPM icon installation (Closes: #590295).
  * Bump standards to 3.9.1.

 -- Michal Čihař <nijel@debian.org>  Mon, 26 Jul 2010 11:50:45 +0200

geeqie (1:1.0-6) unstable; urgency=low

  * Bump standards to 3.9.0.
  * Build with large file support (Closes: #550449).
  * Replace Conflicts with Breaks.

 -- Michal Čihař <nijel@debian.org>  Thu, 08 Jul 2010 09:05:39 +0200

geeqie (1:1.0-5) unstable; urgency=low

  * Fix typo in prerm script to fix uninstallation of alternative.

 -- Michal Čihař <nijel@debian.org>  Thu, 17 Jun 2010 17:14:59 +0200

geeqie (1:1.0-4) unstable; urgency=low

  * Rebuild against fixed libexiv version and build conflict with 
    broken one (Closes: #586058).

 -- Michal Čihař <nijel@debian.org>  Wed, 16 Jun 2010 10:15:24 +0200

geeqie (1:1.0-3) unstable; urgency=low

  * Downgrade ufraw dependency to suggests (Closes: #583083).
  * Add missing prerm snipped for alternatives.

 -- Michal Čihař <nijel@debian.org>  Mon, 14 Jun 2010 15:20:06 +0200

geeqie (1:1.0-2) unstable; urgency=low

  * Recommend librsvg2-common for SVG support (Closes: #575730).
  * Fix bashism in geeqie-rotate (Closes: #581100).

 -- Michal Čihař <nijel@debian.org>  Tue, 11 May 2010 10:09:51 +0200

geeqie (1:1.0-1) unstable; urgency=low

  * New upstream version.
  * Also rotate thumbnail when rotating image (Closes: #563876).
  * All patches merged upstream.
  * Run autoreconf during build and avoid autoreconf patch.
  * Bump standards to 3.8.4.
  * Build depend on gnome-doc-utils to get documentation.

 -- Michal Čihař <nijel@debian.org>  Fri, 26 Feb 2010 10:41:38 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,11 @@
 Maintainer: Michal Čihař <nijel@debian.org>
 Uploaders: Cristian Greco <cristian@regolo.cc>
 Build-Depends: debhelper (>= 7.3.7),
+    libtool,
+    autoconf,
+    automake,
     autotools-dev, 
+    cvs,
     libgtk2.0-dev,
     libexiv2-dev,
     liblcms1-dev,
@@ -12,8 +16,10 @@
     libchamplain-0.4-dev,
     libchamplain-gtk-0.4-dev,
     intltool,
+    gnome-doc-utils,
     imagemagick
-Standards-Version: 3.8.3
+Build-Conflicts: libexiv2-dev (= 0.19-2)
+Standards-Version: 3.9.1
 Homepage: http://geeqie.sourceforge.net/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/geeqie.git
 Vcs-Git: git://git.debian.org/git/collab-maint/geeqie.git
@@ -21,9 +27,9 @@
 Package: geeqie
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, geeqie-common (= ${source:Version})
-Recommends: exiftran, exiv2, ufraw, zenity, imagemagick
-Suggests: gimp, xpaint, geeqie-dbg, libjpeg-progs
-Conflicts: gqview (<< 1:1.0~beta2-3)
+Recommends: exiftran, exiv2, ufraw-batch, zenity, imagemagick, librsvg2-common
+Suggests: gimp, xpaint, geeqie-dbg, libjpeg-progs, ufraw
+Breaks: gqview (<< 1:1.0~beta2-3)
 Replaces: gqview
 Description: image viewer using GTK+
  Geeqie is a browser for graphics files offering single click viewing of
@@ -39,7 +45,7 @@
 Recommends: geeqie | geeqie-gps
 Depends: ${misc:Depends}
 Replaces: geeqie (<< 1:1.0~beta2-7)
-Conflicts: geeqie (<< 1:1.0~beta2-7)
+Breaks: geeqie (<< 1:1.0~beta2-7)
 Description: data files for Geeqie
  Geeqie is a browser for graphics files offering single click viewing of
  your graphics files. It includes thumbnail view, zoom, filtering
@@ -53,7 +59,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, geeqie-common (= ${source:Version})
 Recommends: exiftran, exiv2, ufraw, zenity, imagemagick
 Suggests: gimp, xpaint, geeqie-dbg, libjpeg-progs
-Conflicts: gqview (<< 1:1.0~beta2-3)
+Breaks: gqview (<< 1:1.0~beta2-3)
 Replaces: gqview
 Priority: extra
 Description: image viewer using GTK+ (with support for GPS maps)
@@ -72,7 +78,7 @@
 Priority: extra
 Architecture: any
 Depends: geeqie (= ${binary:Version}) | geeqie-gps (= ${binary:Version}), ${misc:Depends}
-Conflicts: gqview-dbg (<< 1:1.0~beta2-3)
+Breaks: gqview-dbg (<< 1:1.0~beta2-3)
 Replaces: gqview-dbg
 Description: debug symbols for Geeqie
  Geeqie is a browser for graphics files offering single click viewing of

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 
 # build simple version first #
 override_dh_auto_configure:
+	autoreconf -f -i
 	dh_auto_configure --builddirectory build-standard -- \
 		LDFLAGS="-Wl,--as-needed" \
 		$(simple_configure_options)
@@ -32,6 +33,7 @@
 	sed 's/Exec=geeqie/Exec=geeqie-standard/' \
 		< debian/tmp/usr/share/applications/geeqie.desktop \
 		> debian/tmp/usr/share/applications/geeqie-standard.desktop
+	rm debian/tmp/usr/share/doc/geeqie/html/index.html
 	dh_auto_install --builddirectory build-gps
 	mv debian/tmp/usr/bin/geeqie debian/tmp/usr/bin/geeqie-gps
 	sed 's/\(Name.*=Geeqie\)/\1 (GPS support)/; s/Exec=geeqie/Exec=geeqie-gps/' \

## geeqie 1.0-1maemo1

=== debian/changelog ===
geeqie (1.0-1maemo1) unstable; urgency=low

  * Packaged up Geeqie for Maemo
  * Include standard config to make Geeqie more useable on a tiny screen

 -- Dennis Groenen <tj.groenen@gmail.com>  Mon,  1 Aug 2011 14:52:02 +0200

=== debian/control ===
Source: geeqie
Section: user/graphics
Priority: extra
Maintainer: Dennis Groenen <tj.groenen@gmail.com>
XSBC-Bugtracker: mailto:tj.groenen@gmail.com
Build-Depends: debhelper (>= 5),
    autotools-dev,
    libglib2.0-dev,
    libgtk2.0-dev,
    libtool,
    autoconf,
    automake,
    autotools-dev, 
    cvs,
    intltool,
Standards-Version: 3.7.2

Package: geeqie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: exiftran, exiv2, ufraw-batch, zenity, imagemagick, librsvg2-common
Suggests: gimp, xpaint, libjpeg-progs, ufraw
Replaces: gqview
Description: image viewer using GTK+
 Geeqie is a browser for graphics files offering single click viewing of
 your graphics files. It includes thumbnail view, zoom, filtering
 features and external editor support.
XB-Maemo-Display-Name: Geeqie Image Viewer
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1AsQCA8Zj1J3
 oAAADHhJREFUeNrtmntsW9d9xz+Xly9RpChRtkhRtPiQ7MhL/VLi1stjecxJ
 i9Zrkzhxt0zw6ixZsWVLkGVZDXio5yTLAm1z16zAtqzDFgXJ2iEokCCbsdSo
 XcdZrCxx/IglMaQepChLpmSKIiWS4uvsD17K1zQlWbUT9I8e4OCSPJeX38/v
 9zu/87v3EH7VftWuqUmf8bXELyuAFdgObAVaAR0wCfQDx4BPVADi84K5mnYD
 8O9Aqr6+XtTW1or6+nphs9mE1WoVRqOxLPg0sAswKHAyoLnOHl+RB/TAAUmS
 nt6xY4fuqaee4o477iCfzxMKhQiFQoyMjBAOhwkGg5w8eRK/3w/wY+CPgTmg
 oPTi5+0RO/C+xWIRR48eFVfbXnrpJSFJkgDeAZoAC2AEtJ+VN6q1ZsAvy7J/
 x44dYqXt2WefLYfU3wEOoB6o+bwgTMBHwBurVq3qeuKJJxaEnThxQrz66qvi
 +PHjYmxsTBSLxaoA+XxebNmyRQAZ4DbAWQFxzQDaJca+D8wD35Jl+Y9cLtfC
 wEc/eY01P/sBJ2q0/Ein46LBjKllLQ1N61htW4vPvRaPx0NbWxv79u3jwQcf
 NAC7gb9RPFJUulAdryvAXcBDQCeQ02g0LS0tLQuDGf8ZGnWCG+pyNDXkiNlS
 xGxRYrb3OF0P/5OSuHhSx8xRLZp5K9QCc9wD/FPFZBZVxItrBZCAbuAAEAF0
 Go3G6XQ6F07IDQ+URFX7sgSGRoHRliVlyzLdkEJzGIpH8dx77729k5OTE9Fo
 NAQMCSEGC4XCYC6XG04mk8O5XC56FVlKLAdwlzLhXlbytyxJksPhcAAwOTmJ
 NRVfFKAqlA84Ct3d3dpNmza55ubmXKOjo7eGw2FGR0eJRCKEQiHC4fBsOBwO
 pdPpEWC4WCyOFAqF4UwmM5RIJEaEEMnKhbEawLeAfwVy5UWoWCw6yh4Ih8M4
 ya8sUGtKh1QqBUBtbS0dHR10dHRUnmkWQtwYjUZvLMONjo4SDocJh8MiHA7H
 xsfHh/L5/Bvj4+PfA0QlgAb4GnB72fqApra21l5XVwfAWCSCXSpQWAlASTfv
 HH2bRDKB1+OltbUVo9FYJQQl7HY7drudrVu3VoZ245EjRxq7urqOKWtKoRKg
 A0gDQcX6GsDU0tJiKZ8Qi4yyTgOxFegX4dLxY9sL9CZfYPqEzOxPtdQZXDjM
 bbQYfHg0a/GynjZvC263G6vVWvVawWCQbDY7DJiBbCXAOuCcQisBkl6vd6pT
 aGEstLLwESBOQo0VjFYo6MFoK5A3F5iuHWTUPMjP5upI/PV3KZ6xI6Wm0c4H
 aTTlaF9jpK1VT5u7wKOP3kRzczN+v5/Z2dkxoA7IVAKsBiYUy2sATCaTU51C
 C2PhFekv/B/oUwbqmyycfv0iq+4SaDdfGp//xEfiB39FMeYBSULITeTkNUzM
 GJmIGjj+nhG9OMGePaWgHRgYKGQymRilNCJpq6TQy9KUTqdzqwGKoyMrAjD8
 dx2/8/tdyLJMLBYj+OMgoVeGyG+ZpODtYPJ/X0RkrEtew2Efx+X6TYQQBIPB
 soENQK4SYEapf8ohhFar9brd7ksAkZDim+VbMQpdDY/hdnhIp9M0NjbicrlI
 p7/E1NQUwf8KUpj4Sy5KG8H6ZdCsr3qdzs7SD05MTJBIJMaU7Jmr9ICkTN7N
 qCRqNJp2j8dTopuZwZqIl6qZq2i+Y1vZfvs9pNPphZ5KpRZgWltb+fV0mmg0
 SiDwPYbOS8Sy28DwDeASzOZNMgBDQ0MUi8WIeoZVeuATJT19EThZymrSje3t
 7QBEIhFaxNWtATPvQmfkZvKb8jQ0NGCz2chkMleAlGHcbjfpdJoLFy4QCHyH
 wbCRePpu4PfYtLF2IQPlcrlRdT1VCZAD3gKeUBa0Oq/X22oymQAIjYzQIQpk
 lxE/F4bgs+C5bZhDhw7R3NyMw+HAbrdjtVppaGhgfn7+MogyVGNjI16vl0Ag
 QH//T/AHo3zhC38GQCAQIJPJhFQ11GUAQgmjvwd6gXusVqvYsGHDQsmb9A9g
 Zuk1YCYCH3RDYQ7OnPo5586dw+l04nQ6F0Cam5uvgFGD9PX1kUgk0Ol02Gzz
 +Hw+APx+v0ilUiMqD1yxkJXvZ18G/kWW5WOdnZ2XBvvPLWn5oVNw+EeQT8MD
 d2uIdm7g+MyvMXomiOn9XmxazQJMGaTSM4lEgoGBASRJYioa5xs3udBoSlOy
 v79/UlnXi+WqVrtItbcX2DA9Pf1boVCIQqGALMuIj09WFX4hBm++A30DYNLD
 xq+7OfzF25nROcBihFXtpOb1pELjjPnPUvPuB9hqNDQ3N1/mlebmZqLRKNls
 lnQ6zQMT57nzppLEsbExYrHYkDp8qs2BMkAGuF8I8fJzzz13/+uvv87DDz+M
 sa+fkAkSOQgk4GQc3otBfxSEAM2WZor3beFDuwvmDaXbIXWSc3gR9etJZfSk
 xkYYG/kAY+BDbLUSDocDp9NJoVBasKb7Bvh2UceFW28F4PTp0+Tz+YA6fICC
 tMj9gKzUQgbg68DTwMbqlaYMt9jhK2thjR0yxlKfN5T6cu/TOogOIE28izHV
 S4u9FpFKc/B8Gskkc+fEIBaLheeff57u7u59yWSyV6nXZoD4YndkZcI8cMjh
 cNz84osvbjSZTPT29vLW+//M2AYLqY02aF8FhZoqFr/amwUZ6jsRxltwT/bx
 B4PdbBBabkTPe7dtxWIp1ZEnTpzIJ5PJPsUDheXmQBkibzKZGjZv3rxn9+7d
 SJLEKeEnsKf1kjXnJVZWW1f7RcFXzv+UP40cxiZqsVCkyDz6+3YAcPHiRc6c
 OTOgWL64HAAqShobG1/Yv3+/WZIkxsfH+Uf+47o++jBn4jx69hjbp0fQqz4/
 Y9Cybed9ABw5coR0Ot1bIT6/2CS+VEQ5HI8+/vjjO7dt24YQgiff3Mv09gzM
 G69duSjSORzgd/sHcOZnrxhO3/9lmpqaAHj77bdFIpF4XzWB80pf1APY7fYH
 HnrooX945plnEELw3R8e4I1bDoN07eLtEzG++uEkG+JzWKqMRzVF2p/+w1KK
 vnCBI0eO9GWz2UiF+MUBHA7Hk4899tjf7t+/XxuPx3n6tT+n5843EQ2/4ERV
 mi2S4eYPMmw8X6RuiWdakZ1389s33wRAT08PiUTikCqs80rJcyWAzWbzrV+/
 /vv79u3bsX37dl7peYUDHz1P5JFJio2GSw88VpJk5gusPmVg7YdWvFEDFmaR
 mF30/MEGHb9xcD8A8Xicnp6eaDwe/7nK+jkVQGkONDY2bjKbzY93dXXt3rt3
 r8FsNgPwyJ5H+OaubxIKhRg8NUgwM0IgEyI4HyEwN8Z4MUnOBsU6/eUqMkWM
 p5po+NiDs89BQ05gZhaWEA5wUS7Q+soBnK7SDdTBgweJRCKvKYLL1s8qPQ8U
 JI1GY7DZbNt0Ol2HRqNZV1NTc4PP51vndru9Xq9X6/V68Xg8eL1e7Hb75VXn
 3BwjIyMMjQwTjJ8nkBhn8GyG0Xc8JCMmTLkGrEULVrKYmcXMLBaSVY9pbQz3
 v32bu7t2lvM+u3bt+mR0dPQ7CkBGscAMkFBqoqy0yAqsB+qMRuO6mpqa9Vqt
 dq0syz6r1dra3t7e6vV6rV6vVyrD+Xy+K54iLMANDRMJzjAeSHAxGGc6MIWY
 SNKU09FS0GBhjinfHPf+8E/40l23lcr2UIidO3fOnD179slsNjuhWDwFJBWA
 WQUoJ6nElwH0SglhVJ5QG5X3etVj8TqTydRqMBhcOp2uVZZl1+rVq9e0tbU5
 vV6vwefzLXjN4/FQvp+ohBseGiaTTPPV+762cI7f72fPnj2p06dP/0UqlepT
 QiWjbJIkFIg5BapQDUCngjCotom06oddVboEaGRZdphMJpder2/V6XQuWZbX
 tLS0tHi9XntbW5ukBnO73eh0OgDy+Tw9PT10d3efD4fDL6TT6UFVzJetn1RZ
 Pw+IaiEkK2LLorVVxC92XBQMMBoMhpaamppWnU7n0mq1a7Rarcvtdq/x+Xzm
 Tz/9dG5wcPCtqamp/xRCpJVJm1XFftnyadWkvgJAqvjxpYTJi7yXlxmvBJMk
 SWoAMkKIbMVqO69Yf1YlPlsWXwmg3vSTFumaKq+XA6wGtFQYlgHK1k8pwtOq
 9LmwryBd5e5lJVjl68XApCXEVgMrX6+gSp3z5YxTsTHyC210S0t8Ji3jwUqP
 SRUw6u+rV92y1YvVtqOu1y7hcmCLAWqqgKISW6gQLj7L/0pcD69R8ReFZf+q
 8P9qH+E0Ik259QAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/geeqie install
	install -D -m644 debian/config/geeqierc.xml debian/geeqie/home/user/.config/geeqie/geeqierc.xml
	install -D -m644 debian/geeqie/usr/share/applications/geeqie.desktop debian/geeqie/usr/share/applications/hildon/geeqie.desktop
	rm debian/geeqie/usr/share/applications/geeqie.desktop

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## geeqie 1.0-1maemo2

=== debian/changelog ===
geeqie (1.0-1maemo2) unstable; urgency=low

  * Fix permission issue with config file

 -- Dennis Groenen <tj.groenen@gmail.com>  Mon,  1 Aug 2011 18:06:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	dh_installdirs
 
 	$(MAKE) DESTDIR=$(CURDIR)/debian/geeqie install
-	install -D -m644 debian/config/geeqierc.xml debian/geeqie/home/user/.config/geeqie/geeqierc.xml
+	install -D -m644 debian/config/geeqierc.xml debian/geeqie/usr/share/geeqie/defgeeqierc.xml
 	install -D -m644 debian/geeqie/usr/share/applications/geeqie.desktop debian/geeqie/usr/share/applications/hildon/geeqie.desktop
 	rm debian/geeqie/usr/share/applications/geeqie.desktop

## geeqie 1.1

=== debian/changelog ===
geeqie (1:1.1-8) unstable; urgency=low

  * Preserve timestamp while rotating (Closes: #713980).
  * Increase MIME priority to 7 (Closes: #717151).
  * Use dh_autoreconf.
  * Use canonical VCS URLs in debian/control.
  * Bump standards to 3.9.4.
  * Use debhelper 9.

 -- Michal Čihař <nijel@debian.org>  Thu, 31 Oct 2013 10:24:23 +0100

geeqie (1:1.1-7) unstable; urgency=low

  * Upload to unstable.

 -- Michal Čihař <nijel@debian.org>  Tue, 07 May 2013 09:57:42 +0200

geeqie (1:1.1-6) experimental; urgency=low

  * Fixed another FTBFS on some architectures.

 -- Michal Čihař <nijel@debian.org>  Thu, 23 Aug 2012 10:18:17 +0200

geeqie (1:1.1-5) experimental; urgency=low

  * Fixed typo in a patch.

 -- Michal Čihař <nijel@debian.org>  Wed, 22 Aug 2012 14:58:48 +0200

geeqie (1:1.1-4) experimental; urgency=low

  * Another attempt to fix big endians by not using private GdkPixbuf data.

 -- Michal Čihař <nijel@debian.org>  Wed, 22 Aug 2012 14:21:51 +0200

geeqie (1:1.1-3) experimental; urgency=low

  * Fix FTBFS on big endian architectures.

 -- Michal Čihař <nijel@debian.org>  Tue, 21 Aug 2012 14:54:43 +0200

geeqie (1:1.1-2) experimental; urgency=low

  * Fix FTBFS on several architectures.

 -- Michal Čihař <nijel@debian.org>  Tue, 21 Aug 2012 13:11:24 +0200

geeqie (1:1.1-1) experimental; urgency=low

  [ Andreas Metzler ]
  * New upstream version (Closes: #684987).
    - Fixes crash on no read permission (Closes: #582636, LP: #617233).
    - Better handles incorrect file name encodings (Closes: #657041).
    - Fixes crash on opening new view (Closes: #619976).
    - Fixes setting background color (LP: #887711).
    - Correctly shows PGMs (LP: #879290).
  * Drop patches included upstream. (lfs-suport.patch bug-529531.patch
    bug-562488.patch bug-574853.patch bug-620895.patch)
  * Add build-depends on libtiff-dev and libjpeg-dev to make use of newly
    available custom loaders.

  [ Michal Čihař ]
  * Upload to experimental.
  * Bump standards to 3.9.3.
  * Use dpkg build flags.
  * Drop transitional gqview packages.
  * Stop using alternatives for geeqie (LP: #986499).
  * Update thumbnail while rotating images (Closes: #669870).

 -- Michal Čihař <nijel@debian.org>  Tue, 21 Aug 2012 10:06:33 +0200

geeqie (1:1.0-10.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS by making sure $(CURDIR)/debian/tmp/usr/share/doc/geeqie/html
    exists at the beginning of the dh_auto_install override (Closes: #669543).
  * Set urgency to “high” for the RC bug fix, needed for the ongoing exiv2
    transition.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 07 May 2012 21:58:07 +0200

geeqie (1:1.0-10) unstable; urgency=low

  [ Klaus Ethgen ]
  * Fix various errors in the French locales. Thanks to Vincent Blut. (Closes:
    #620895)

  [ Michal Čihař ]
  * Make transitional package priority extra and section oldlibs.
  * Drop geeqie-gps package (Closes: #648430).

 -- Michal Čihař <nijel@debian.org>  Wed, 04 Jan 2012 12:43:25 +0100

geeqie (1:1.0-9) unstable; urgency=low

  [ Klaus Ethgen ]
  * Fix the handling when creating folders in move dialog. See also upstream
    commit 556bd46. (Closes: #529531)
  * Make the documentation and the handling of remote commands consistent. See
    also upstream 8f9ba41. (Closes: #562488)
  * Change the icon size of icon_float from 10×20 to 20×20 to avoid scaling.
    (Closes: #614607)
  * Fix the chown bug done upstream. Thanks to Vladislav Naumov. (Closes:
    #574853)

  [ Michal Čihař ]
  * Merge from Ubuntu:
      * Make fullscreen mode actually use the full screen. (LP: #788321,
        Closes: #639099)

 -- Michal Čihař <nijel@debian.org>  Mon, 19 Sep 2011 12:03:24 +0200

geeqie (1:1.0-8) unstable; urgency=low

  * Build against libchamplain-0.8.
  * Bump standards to 3.9.2.
  * Fix lintian overrides.

 -- Michal Čihař <nijel@debian.org>  Fri, 15 Apr 2011 12:09:50 +0200

=== debian/control ===
Source: geeqie
Section: graphics
Priority: optional
Maintainer: Michal Čihař <nijel@debian.org>
Build-Depends: debhelper (>= 9),
    dpkg-dev (>= 1.16.1~),
    dh-autoreconf,
    libtool,
    autoconf,
    automake,
    autotools-dev,
    cvs,
    libgtk2.0-dev,
    libexiv2-dev,
    liblcms1-dev,
    liblircclient-dev,
    intltool,
    gnome-doc-utils,
    imagemagick,
    libtiff-dev,
    libjpeg-dev
Build-Conflicts: libexiv2-dev (= 0.19-2)
Standards-Version: 3.9.4
Homepage: http://geeqie.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/geeqie.git
Vcs-Git: git://anonscm.debian.org/collab-maint/geeqie.git

Package: geeqie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geeqie-common (= ${source:Version})
Recommends: exiftran, exiv2, ufraw-batch, zenity, imagemagick, librsvg2-common
Suggests: gimp, xpaint, geeqie-dbg, libjpeg-progs, ufraw
Breaks: gqview (<< 1:1.0~beta2-3)
Replaces: gqview
Description: image viewer using GTK+
 Geeqie is a browser for graphics files offering single click viewing of
 your graphics files. It includes thumbnail view, zoom, filtering
 features and external editor support.

Package: geeqie-common
Architecture: all
Recommends: geeqie
Depends: ${misc:Depends}
Replaces: geeqie (<< 1:1.0~beta2-7)
Breaks: geeqie (<< 1:1.0~beta2-7)
Description: data files for Geeqie
 Geeqie is a browser for graphics files offering single click viewing of
 your graphics files. It includes thumbnail view, zoom, filtering
 features and external editor support.
 .
 This package contains data files for Geeqie such as documentation or
 locales.

Package: geeqie-dbg
Section: debug
Priority: extra
Architecture: any
Depends: geeqie (= ${binary:Version}), ${misc:Depends}
Breaks: gqview-dbg (<< 1:1.0~beta2-3)
Replaces: gqview-dbg
Description: debug symbols for Geeqie
 Geeqie is a browser for graphics files offering single click viewing of
 your graphics files. It includes thumbnail view, zoom, filtering
 features and external editor support.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --fail-missing --with autoreconf,autotools_dev

# build simple version first #
override_dh_auto_configure:
	dh_auto_configure  -- \
		--with-htmldir=/usr/share/doc/geeqie/html \
		--with-readmedir=/usr/share/doc/geeqie/ \
		--enable-lirc 

override_dh_auto_build:
	dh_auto_build
	convert geeqie.png -scale 32x32 geeqie.xpm

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/geeqie/html
	dh_auto_install
	rm -f \
		$(CURDIR)/debian/tmp/usr/share/geeqie/template.desktop \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/README.lirc \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/ChangeLog \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/TODO \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/README \
		$(CURDIR)/debian/tmp/usr/share/doc/geeqie/COPYING

override_dh_compress:
	# Readme is shown from program, do not compress it
	dh_compress -XREADME

override_dh_strip:
	dh_strip -a --dbg-package=geeqie-dbg

## geeqie 1.2

=== debian/changelog ===
geeqie (1:1.2-3) unstable; urgency=medium

  * Enable parallel building (Closes: #759120).
  * Remove our fullscreen patch as it seems to cause more troubles.
    - Mouse and keyboard now works in fullscreen (Closes: #763288).
    - Fixes black screen on startup with fullscreen (Closes: #763444).
    - Fixes changing image, image overlay and menu (Closes: #764463).
  * Bump standards to 3.9.6.

 -- Michal Čihař <nijel@debian.org>  Mon, 13 Oct 2014 14:51:46 +0200

geeqie (1:1.2-2) unstable; urgency=medium

  [ Klaus Ethgen ]
  * Adding build dependency for liblua.
  * Revised fullscreen patch. Thanks to Andry Gursky. (Closes: #761585)
  * Setting correct autoconf version. (Closes: #763014)
  * Remove unneeded dependency to cvs. Thanks to Andry Gursky.
  * Bind to gtk-2 for now. Thanks to Andry Gursky. (Closes: #762718)
  * Fix "segfault on startup". There was already a patch for that problem from
    Michael Schwendt on the mailing list. I even market that for me in the
    mailbox but it was lost. Now this problem should be fixed.
    (Closes: #762162)

 -- Michal Čihař <nijel@debian.org>  Mon, 29 Sep 2014 10:26:17 +0200

geeqie (1:1.2-1) unstable; urgency=medium

  * Use a proper version number (Closes: #761384)

 -- Paul Wise <pabs@debian.org>  Sun, 14 Sep 2014 12:10:48 +0800

geeqie (1:1.2-0) unstable; urgency=medium

  [ Klaus Ethgen ]
  * New upstream release.
    - Uses lcms2 (Closes: #745521).
  * Refresh all patches. In fact, all except the fullscreen patch gets
    included in upstream.

  [ Michal Čihař ]
  * Bump standards to 3.9.5.
  * Recommend lpr for printing (Closes: #750070).

 -- Klaus Ethgen <Klaus@Ethgen.de>  Sun, 20 Jul 2014 15:06:20 +0100

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,18 @@
     autoconf,
     automake,
     autotools-dev,
-    cvs,
     libgtk2.0-dev,
     libexiv2-dev,
-    liblcms1-dev,
+    liblcms2-dev,
     liblircclient-dev,
     intltool,
     gnome-doc-utils,
     imagemagick,
     libtiff-dev,
-    libjpeg-dev
+    libjpeg-dev,
+    liblua5.1-0-dev
 Build-Conflicts: libexiv2-dev (= 0.19-2)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://geeqie.sourceforge.net/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/geeqie.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/geeqie.git
@@ -28,7 +28,7 @@
 Package: geeqie
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, geeqie-common (= ${source:Version})
-Recommends: exiftran, exiv2, ufraw-batch, zenity, imagemagick, librsvg2-common
+Recommends: exiftran, exiv2, ufraw-batch, zenity, imagemagick, librsvg2-common, lpr
 Suggests: gimp, xpaint, geeqie-dbg, libjpeg-progs, ufraw
 Breaks: gqview (<< 1:1.0~beta2-3)
 Replaces: gqview

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,15 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --fail-missing --with autoreconf,autotools_dev
+	dh $@ --parallel --fail-missing --with autoreconf,autotools_dev
 
 # build simple version first #
 override_dh_auto_configure:
 	dh_auto_configure  -- \
 		--with-htmldir=/usr/share/doc/geeqie/html \
 		--with-readmedir=/usr/share/doc/geeqie/ \
-		--enable-lirc 
+		--enable-lirc \
+		--disable-gtk3
 
 override_dh_auto_build:
 	dh_auto_build
@@ -31,3 +32,7 @@
 
 override_dh_strip:
 	dh_strip -a --dbg-package=geeqie-dbg
+
+override_dh_autoreconf:
+	dh_autoreconf
+	intltoolize --copy --force --automake

## geeqie 1.2.2

=== debian/changelog ===
geeqie (1:1.2.2-2) unstable; urgency=medium

  * Do not provide menu file as we ship desktop one as well.
  * Add patch to fix display if RAW images caused by gcc 5 transition
    (Closes: #800350, #798274, #799353). 

 -- Michal Čihař <nijel@debian.org>  Tue, 03 Nov 2015 08:58:05 +0100

geeqie (1:1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Thu, 10 Sep 2015 16:32:17 +0200

geeqie (1:1.2.1-1) unstable; urgency=medium

  [ Klaus Ethgen ]
  * Fix Name spelling in changelog.
  * New upstream bugfix release.
  * Remove patches integrated upstream.

  [ Michal Čihař ]
  * Use new upstream URL, check release signatures (Closes: #798553).

 -- Michal Čihař <nijel@debian.org>  Thu, 10 Sep 2015 16:19:52 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
     liblua5.1-0-dev
 Build-Conflicts: libexiv2-dev (= 0.19-2)
 Standards-Version: 3.9.6
-Homepage: http://geeqie.sourceforge.net/
+Homepage: http://geeqie.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/geeqie.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/geeqie.git

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,6 @@
 		--with-readmedir=/usr/share/doc/geeqie/ \
 		--enable-lirc \
 		--disable-gtk3
-
-override_dh_auto_build:
-	dh_auto_build
-	convert geeqie.png -scale 32x32 geeqie.xpm
 
 override_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/geeqie/html

=== debian/watch ===
version=3
opts="uversionmangle=s/(alpha|beta|rc)/~$1/,pgpsigurlmangle=s/$/.asc/" \
    http://geeqie.org/ geeqie-(.*)\.tar\.xz

## geeqie 1.2.3

=== debian/changelog ===
geeqie (1:1.2.3-1) unstable; urgency=medium

  [ Michal Čihař ]
  * New upstream release.
  * Add cups-bsd as alternative dependency to lpr (Closes: #816287).
  * Bump standards to 3.9.8.
  * Remove menu file.
  * Build depend on gnome-doc-utils to build documentation.
  * Install all docs into geeqie-common package.
  * Migrate to use -dbgsym packages instead of -dbg.

  [ Klaus Ethgen ]
  * Install template.desktop for selfmade editors.
  * Tune the debian editors to work with multiple files (little bit better
    performance).

 -- Michal Čihař <nijel@debian.org>  Thu, 12 May 2016 10:01:04 +0200

## geeqie 1.3

=== debian/changelog ===
geeqie (1:1.3-1) unstable; urgency=medium

  [ Michal Čihař ]
  * New upstream release.
    - Fixes dialog windows in fullscreen mode 
      (Closes: #800044, #771036).
    - Fullscreen works better with window managers 
      (Closes: #765437, #602743, #602744).
    - Fixes compilation with gcc 6 
      (Closes: #811687).

  [ Klaus Ethgen ]
  * Refresh patch, still needed.

 -- Michal Čihař <nijel@debian.org>  Fri, 03 Jun 2016 12:11:31 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 9),
     dpkg-dev (>= 1.16.1~),
     dh-autoreconf,
+    gnome-doc-utils,
     libtool,
     autoconf,
     automake,
@@ -20,7 +21,7 @@
     libjpeg-dev,
     liblua5.1-0-dev
 Build-Conflicts: libexiv2-dev (= 0.19-2)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://geeqie.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/geeqie.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/geeqie.git
@@ -28,7 +29,13 @@
 Package: geeqie
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, geeqie-common (= ${source:Version})
-Recommends: exiftran, exiv2, ufraw-batch, zenity, imagemagick, librsvg2-common, lpr
+Recommends: exiftran,
+    exiv2,
+    ufraw-batch,
+    zenity,
+    imagemagick,
+    librsvg2-common,
+    cups-bsd | lpr
 Suggests: gimp, xpaint, geeqie-dbg, libjpeg-progs, ufraw
 Breaks: gqview (<< 1:1.0~beta2-3)
 Replaces: gqview
@@ -50,17 +57,3 @@
  .
  This package contains data files for Geeqie such as documentation or
  locales.
-
-Package: geeqie-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: geeqie (= ${binary:Version}), ${misc:Depends}
-Breaks: gqview-dbg (<< 1:1.0~beta2-3)
-Replaces: gqview-dbg
-Description: debug symbols for Geeqie
- Geeqie is a browser for graphics files offering single click viewing of
- your graphics files. It includes thumbnail view, zoom, filtering
- features and external editor support.
- .
- This package contains the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh_compress -XREADME
 
 override_dh_strip:
-	dh_strip -a --dbg-package=geeqie-dbg
+	dh_strip -a --ddeb-migration='geeqie-dbg (<< 1:1.2.3-1~)'
 
 override_dh_autoreconf:
 	dh_autoreconf
